API ReferenceapiidentityPOST /v1/users/me/email-change-confirm

POST /v1/users/me/email-change-confirm

Service: identity · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "otp": {
      "type": "string",
      "minLength": 4,
      "maxLength": 12
    }
  },
  "required": [
    "otp"
  ]
}

Responses

200 Email updated

{
  "type": "object",
  "properties": {
    "confirmed": {
      "type": "boolean",
      "enum": [
        true
      ]
    },
    "new_email": {
      "type": "string"
    }
  },
  "required": [
    "confirmed",
    "new_email"
  ]
}

400 Validation

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

401 Invalid OTP

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 No request

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://identity.platform.loop.health/v1/users/me/email-change-confirm \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'